<?php

/*
 * AfterLogic Admin Panel by AfterLogic Corp. <support@afterlogic.com>
 *
 * Copyright (C) 2002-2009  AfterLogic Corp. (www.afterlogic.com)
 * Distributed under the terms of the license described in LICENSE.txt
 * 
 */

	class CXMailDomain
	{
		/**
		 * @var	string
		 */
		var $_name = '';
		
		/**
		 * @var	array
		 */
		var $_act_forwards = array();
		
		/**
		 * @var	string
		 */
		var $_customDomainProcessing = '';
				
		function SetSessionArray()
		{
			$array = array(
'_name' => $this->_name,
'_act_forwards' => $this->_act_forwards,
'_customDomainProcessing' => $this->_customDomainProcessing
				);
					
			$_SESSION[XM_SESS_DOMAIN] = $array;
		}
		
		function ClearSessionArray()
		{
			if (isset($_SESSION[XM_SESS_DOMAIN]))
			{
				unset($_SESSION[XM_SESS_DOMAIN]);
			}
		}		

		/**
		 * @return bool
		 */
		function IsSessionData()
		{
			return isset($_SESSION[XM_SESS_DOMAIN]);
		}
		
		function UpdateFromSessionArray()
		{
			$sessionArray = isset($_SESSION[XM_SESS_DOMAIN]) ? $_SESSION[XM_SESS_DOMAIN] : array();
			if (count($sessionArray) > 0)
			{
				$this->_name = ap_Utils::ArrayValue($sessionArray, '_name', $this->_name);
				$this->_act_forwards = ap_Utils::ArrayValue($sessionArray, '_act_forwards', $this->_act_forwards);
				$this->_customDomainProcessing = ap_Utils::ArrayValue($sessionArray, '_customDomainProcessing', $this->_customDomainProcessing);
				
				$this->ClearSessionArray();
			}
		}

		function ToDataArray()
		{
			$return = array();
			
			if (count($this->_act_forwards) > 0)
			{
				$text = '"lredirect"';
				foreach ($this->_act_forwards as $item)
				{
					$text .= AP_TAB.'"'.$item.'"';
				}
				$return[] = $text;
			}
			
			if (strlen($this->_customDomainProcessing) > 0)
			{
				$return[] = $this->_customDomainProcessing;
			}
			
			return $return;
		}
		
		function UpdateFromGetMailProc($ret)
		{
			if (is_array($ret) && count($ret) > 0)
			{
				foreach ($ret as $line)
				{
					$arr = explode(AP_TAB, $line);
					if (count($arr) > 0 && $arr[0] == '"lredirect"')
					{
						for ($i = 1, $c = count($arr); $i < $c; $i++)
						{
							$this->_act_forwards[] = trim($arr[$i], '"');
						}
					}
					else if (strlen($line) > 0)
					{
						$this->_customDomainProcessing = trim($line);
					}
				}
			}
		}
	}