<script type="text/javascript">
    var ttFingerProto = 'Enables simple network protocol for human-oriented status and user information exchange.';
    var ttFingerPort = 'This port is used to establish Finger connections. If enabled, make sure the port is opened in your firewall.';
    var ttMaxMTAOps = 'Maximum number of MTA relay steps before treating message as looped.  Prevents endless forwarding messages.';
	var ttSmartDNSHost = 'Smart DNS hosts list (with recursion bit set to true) DNS queries are directed to. Such DNS hosts must support DNS recursion in queries. The format is: <br />dns.home.bogus.net:tcp,192.168.1.1:udp,...';
    var ttSmtpMinDiskSpace = 'Minimal disk space (in KB) requested before accepting an SMTP connection.';
    var ttSmtpMinVirtMemSpace = 'Minimal virtual memory (in KB) requested before accepting an SMTP connection.';
    var ttPop3MinVirtMemSpace = 'Minimal virtual memory (in KB) requested before accepting a POP3 connection.';
    var ttFetchHdrTags = 'Verbosity of "Received" header. Any SMTP server adds such header to each inbound and outbound message. This allows tracking message delivery path.';
    var ttDisableEmitAuthUser = 'If emitting auth users is enabled, XMail adds special headers (XAUTH-***) to each message authenticated user works with. This allows logging user\'s action within message headers block.';
</script>
<form action="<?php echo AP_INDEX_FILE;?>?mode=submit" method="POST" id="misc_form" <?php $this->data->PrintValue('hideClass_misc') ?>>
<input type="hidden" name="form_id" value="misc">
<table class="wm_admin_center" width="650">
	<tr>
		<td width="150"></td>
		<td><br /></td>
	</tr>
	<tr>
		<td colspan="2" class="wm_safety_info">
			Additional services, performance settings, some specific headers processing options.
		</td>
	</tr>
	<tr><td colspan="2"><br /></td></tr>
	<tr>
		<td colspan="2" class="wm_admin_title">
			Misc. Options
		</td>
	</tr>
	<tr>
		<td>
			* <label class="LabelOffset DottedText" for="box_FingerProto"
				onmouseover="AddToolTip(ttFingerProto);" 
				onmouseout="RemoveToolTip();">Enable&nbsp;finger&nbsp;service</label>
		</td>
		<td>
			<input type="checkbox" class="wm_checkbox" id="box_FingerProto" value="1"
				name="box_FingerProto" <?php $this->data->PrintCheckedValue('box_FingerProto') ?>/>
		</td>
	</tr>
	<tr>
		<td>
			* <span class="LabelOffset DottedText" onmouseover="AddToolTip(ttFingerPort);" 
				onmouseout="RemoveToolTip();">Finger&nbsp;service&nbsp;port</span>
		</td>
		<td>
			<input class="wm_input wm_addmargin" type="text" id="var_FingerPort" name="var_FingerPort" maxlength="5" 
				style="width: 350px;" value="<?php $this->data->PrintIntValue('var_FingerPort') ?>" />
		</td>
	</tr>
	<tr>
		<td>
			<span class="LabelOffset DottedText" onmouseover="AddToolTip(ttMaxMTAOps);" 
				onmouseout="RemoveToolTip();">Max&nbsp;MTAOps</span>
		</td>
		<td>
			<input class="wm_input wm_addmargin" type="text" id="var_MaxMTAOps" name="var_MaxMTAOps"
				style="width: 350px;" value="<?php $this->data->PrintIntValue('var_MaxMTAOps') ?>" />
		</td>
	</tr>
	<tr>
		<td>
			<span class="LabelOffset DottedText" onmouseover="AddToolTip(ttSmartDNSHost);" 
				onmouseout="RemoveToolTip();">Smart&nbsp;DNS&nbsp;host</span>
		</td>
		<td>
			<input name="SmartDnsHostName" class="wm_checkbox" type="radio" value="default"
				id="SmartDnsHostDefaultRadioID" <?php $this->data->PrintCheckedValue('SmartDnsHostDefaultRadioID') ?>/>
			&nbsp;
			<label class="XBoxOffset" for="SmartDnsHostDefaultRadioID">Default</label>
			<br />
			<input name="SmartDnsHostName" class="wm_checkbox" type="radio" value="custom"
				id="SmartDnsHostCustomRadioID" <?php $this->data->PrintCheckedValue('SmartDnsHostCustomRadioID') ?>/>
			&nbsp;
			<label class="XBoxOffset" for="SmartDnsHostCustomRadioID">Custom</label>
			&nbsp;
			<input class="wm_input" type="text" id="var_SmartDNSHost" name="var_SmartDNSHost"
				value="<?php $this->data->PrintInputValue('var_SmartDNSHost') ?>" style="width: 266px;" />
		</td>
	</tr>
	<tr>
		<td colspan="2">
			<div class="convoluted">
				<div onclick="advSwitch(this)">Disk &amp; Memory Consumption Server Quotas</div>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<td width="200">
							&nbsp;
							<input type="checkbox" class="wm_checkbox" id="check_SmtpMinDiskSpace" value="1"
								name="check_SmtpMinDiskSpace" <?php $this->data->PrintCheckedValue('check_SmtpMinDiskSpace') ?>/>
							&nbsp;
							<label class="XBoxOffset DottedText" for="check_SmtpMinDiskSpace" 
								onmouseover="AddToolTip(ttSmtpMinDiskSpace);" 
								onmouseout="RemoveToolTip();">SMTP minimal disk space</label>						
						</td>
						<td>
							<input class="wm_input" type="text" id="var_SmtpMinDiskSpace" 
								name="var_SmtpMinDiskSpace" value="<?php $this->data->PrintIntValue('var_SmtpMinDiskSpace') ?>"
								style="width: 300px;" />
						</td>
					</tr>
					<tr>
						<td>
							&nbsp;
							<input type="checkbox" class="wm_checkbox" id="check_SmtpMinVirtMemSpace" value="1"
								name="check_SmtpMinVirtMemSpace" <?php $this->data->PrintCheckedValue('check_SmtpMinVirtMemSpace') ?>/>
							&nbsp;
							<label class="XBoxOffset DottedText" for="check_SmtpMinVirtMemSpace" 
								onmouseover="AddToolTip(ttSmtpMinVirtMemSpace);" 
								onmouseout="RemoveToolTip();">SMTP minimal virtual mem</label>						
						</td>
						<td>
							<input class="wm_input" type="text" id="var_SmtpMinVirtMemSpace" 
								value="<?php $this->data->PrintIntValue('var_SmtpMinVirtMemSpace') ?>" 
								name="var_SmtpMinVirtMemSpace" style="width: 300px;" />						
						</td>
					</tr>
					<tr>
						<td>
							&nbsp;
							<input type="checkbox" class="wm_checkbox" id="check_Pop3MinVirtMemSpace" value="1"
								name="check_Pop3MinVirtMemSpace" <?php $this->data->PrintCheckedValue('check_Pop3MinVirtMemSpace') ?>/>
							&nbsp;
							<label class="XBoxOffset DottedText" for="check_Pop3MinVirtMemSpace" 
								onmouseover="AddToolTip(ttPop3MinVirtMemSpace);" 
								onmouseout="RemoveToolTip();">POP3 minimal virtual mem</label>						
						</td>
						<td>
							<input class="wm_input" type="text" id="var_Pop3MinVirtMemSpace" 
								value="<?php $this->data->PrintIntValue('var_Pop3MinVirtMemSpace') ?>"
								name="var_Pop3MinVirtMemSpace" style="width: 300px;" />
						</td>
					</tr>
				</table>				
			</div>
		</td>
	</tr>
	<tr>
		<td colspan="2">
			<div class="convoluted">
				<div onclick="advSwitch(this)">Mail Headers Processing Options</div>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<td width="180">
							&nbsp;
							<input type="checkbox" class="wm_checkbox" id="check_ReceivedHdrType" value="1"
								name="check_ReceivedHdrType" <?php $this->data->PrintCheckedValue('check_ReceivedHdrType') ?>/>
							&nbsp;
							<label class="XBoxOffset DottedText" for="check_ReceivedHdrType" 
								onmouseover="AddToolTip(ttFetchHdrTags);" 
								onmouseout="RemoveToolTip();">Received header type</label>						
						</td>
						<td>
							<select class="wm_input" id="var_ReceivedHdrType" 
								name="var_ReceivedHdrType" style="width: 300px">
								<option value="0"<?php $this->data->PrintSelectedValue('sel_ReceivedHdrType0') ?>>Standard (client IP shown , server IP not). Default</option>
								<option value="1"<?php $this->data->PrintSelectedValue('sel_ReceivedHdrType1') ?>>Verbose (client IP shown , server IP shown)</option>
								<option value="2"<?php $this->data->PrintSelectedValue('sel_ReceivedHdrType2') ?>>Strict (no IP shown)</option>
								<option value="3"<?php $this->data->PrintSelectedValue('sel_ReceivedHdrType3') ?>>Same as 0 but the client IP is not shown if the client authenticate itself</option>
								<option value="4"<?php $this->data->PrintSelectedValue('sel_ReceivedHdrType4') ?>>Same as 1 but the client IP is not shown if the client authenticate itself</option>
							</select>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							&nbsp;
							<input type="checkbox" class="wm_checkbox" id="box_DisableEmitAuthUser" value="1"
								name="box_DisableEmitAuthUser" <?php $this->data->PrintCheckedValue('box_DisableEmitAuthUser') ?>/>
							&nbsp;
                            <label class="XBoxOffset DottedText" for="box_DisableEmitAuthUser" 
								onmouseover="AddToolTip(ttDisableEmitAuthUser);" 
								onmouseout="RemoveToolTip();">Disable emit auth user</label>
						</td>
					</tr>
				</table>
			</div>
		</td>
	</tr>	            
	<tr><td colspan="2"><hr size="1"></td></tr>
	<tr>
		<td colspan="2" align="right">
			<span class="wm_secondary_info" style="float: left; text-align: left;">* changing settings marked with asterisks<br />requires <a href="#" onclick="PopupDiv.Show();">manual restart of "AfterLogic XMail Server" service</a>.</span>
			<input type="submit" name="submit_btn" value="Save" class="wm_button" style="width: 100px">
		</td>
	</tr>
</table>
</form>